#!/bin/bash
# Copyright ETSI 2018
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt

set -e
set -vx

#check and build stfubuntu image
if [ -z `docker images -q stfubuntu` ]; then
  docker build --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
fi

docker build --tag stf569_mec --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )

docker images
docker inspect stf569_mec:latest || ( echo "Docker inspect failed: $?"; exit 1 )

# That's all Floks
exit 0
